<html>

<head>
  <script type="text/javascript" src="ejs_production.js"></script>

  <!-- Bootstrap core CSS -->
  <link href="/vendor/bootstrap/css/bootstrap.min.css" rel="stylesheet">
    <!-- Image preview-->
    <link href="/styesheets/imagePreview.css" type="text/css" rel="stylesheet">
  <% include ./../partial/home_navigation %>
  <!-- jquery -->
<script src="/javascripts/jquery.js"></script>

</head>

<body class="container " style="padding-top: 100px;">
  <div class="row">
    <div class="form-group">
        <div class="card mr-auto" text-align="center">
            <div class="card-header">
              <h3 class="card-title">Edit Product</h3>
            </div>
            <div class="card-body">
              <div class="col-md-auto">
                <form id="product-form" action="/product/edit/<%=product.id%>" method="post" enctype="multipart/form-data">
                  <div class="form-group">
                    <div class="form-group">
                      <label>Product Name:</label>
                      <input  type="" class='form-control' value="<%=typeof product !="undefined" ? product.name : ''%>" class="form-control"
                        name="name" id="name" aria-describedby="emailHelp" placeholder="Product's name">
                    </div>
                    <label>Descriptions:</label><br>
                    <textarea rows="8"  name="description"
                      cols="50"><%=typeof product !="undefined" ? product.description : ''%></textarea>
                    <div class="form-group col-md-4"> </div>
                    <label for="currency-field">Enter Amount</label>
                    <input type="number" value="<%=typeof product !="undefined" ? product.price : ''%>" name="price"
                      name="currency-field" id="currency-field" class="form-control" value="" placeholder="$1,000,000.00">
                      
                      <div class="form-group">
                        <label for="">Current image</label>
                        <p>
                          <%if(product.image !== ""){%>
                            <img src="/product-images/<%= product.id %>/<%= product.image %>" height="100" width="100"/>
                            <%}else{%>
                              <img src="/images/noimage"/>
                              <%}%>
                        </p>
                      </div>
                      <div class="form-group">
                        <label for="">Upload Image</label>
                        <input type="file" class="form-control" name="image" id="image">
                        <img src="#" id="imgPreview" alt="">
                    </div>
                  </div>
                
              </div>
              <button type="submit" class="btn btn-primary">Edit </button>
              </form>
            </div>
    
          </div>
    </div>
     

   

  </div>
  </div>

        
  <script>
    
    function readURL(input) {
        if (input.files && input.files[0]) {
            var reader = new FileReader();
            
            reader.onload = function(e) {
                $("#imgPreview").attr('src', e.target.result).width(100).height(100);
            }
            
            reader.readAsDataURL(input.files[0]);
        }
    }
    
    $("#image").change(function() {
        readURL(this);
    });
    
</script>
</body>

</html>